<?
require'config.php';
$align='left';
$title='Управление статусом';
head();
aut();
who_add(0,'enter');

levels(3);
echo 'Привет <b>'.$user[user].'</b>.
';
echo '<br/>Ваш статус: <b>'.$user[status].'</b><br/>';


if ($_GET['i']==1)echo '<b>Изменения сохранены.</b><br />';
if ($_GET['i']==2)echo '<b>Ошибка. Сообщите администрации</b><br />';

if (empty($act)){
if(isset($_POST['nick']))$nick = check($_POST['nick']);
else $nick = check($_GET['nick']);
if (!user($nick))echo 'Такого юзера нет!<br />';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if (($inf[level]>$user[level])||$user[level]==$inf[level] && $user[id]!=$inf[id])echo 'Доступ закрыт!<br />';
else{
if ($ver!='wml')echo '<form action="statys?mod='.$mod.'&amp;act=edit&amp;nick='.$inf['id'].'&amp;'.SID.'" method="post">';

echo 'Статус:<br /><input name="status" value="'.$inf['status'].'" emptyok="false"/><br/>';


echo '<br/>';


if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="users?mod='.$mod.'&amp;act=edit&amp;nick='.$inf['id'].'&amp;'.SID.'" method="post">';
echo '

<postfield name="status" value="$status"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<input name="nick" type="hidden" value="$nick"/>';
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}

}}
}else{

$nick = check($_GET['nick']);
if (!user($nick))echo 'Такого юзера нет!<br />';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if (($inf[level]>$user[level])||$user[level]==$inf[level] && $user[id]!=$inf[id])echo 'Доступ закрыт!<br />';
else{


$status= check($_POST['status']);
if ($set['rus']==1){
$lat_nik = rus_to_lat(tolower($nik));
$help = 'В нике цифры разрешено использовать только вместе со знаками латинского или русского алфавита.<br /><br />';
}else{
$lat_nik = tolower($nik);
$help = 'В нике цифры разрешено использовать только вместе со знаками латинского алфавита.<br /><br />';
}




$messs = '[b]'.$user['user'].'[/b] произвел Апдейт пользователя [b]'.$inf['user'].'[/b]<br /> Статус: <b>'.$status.'</b>';

$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('edit','$messs','$time')");

if($db->sql_query('UPDATE `users` SET `status` = "'.$status.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: statys?mod='.$mod.'&i=1&nick='.$nick.'&'.SID); exit;
}else{
header ('Location: statys?mod='.$mod.'&i=2&nick='.$nick.'&'.SID); exit;
}
}}
}

echo '<br />';

if ($mod)echo gb.'<a href="index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>
